<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class KakitanganMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (auth()->check() && in_array(auth()->user()->role, ['pembantu tadbir','pp kesihatan','pp tadbir','pegawai tadbir','pengarah', 'super'])) {
            return $next($request);
        }

        abort(403, 'Akses ditolak. awak bukan kakitangan kita.');
    }
}
